$('#uploadButton').on('click', function () {
    $.confirm({
        title: 'Confirmer',
        content: "Voulez vous vraiment mettre en ligne le stock actuel du Proximo ? Il sera visible depuis l'application CAMPUS.",
        type: "orange",
        buttons: {
            formSubmit: {
                text: 'Confirmer',
                btnClass: "btn-warning",
                action: function () {
                    $.confirm({
                        columnClass: "small",
                        content: function () {
                            let self = this;
                            return $.ajax({
                                type: "POST",
                                url: "write_json.php",
                            }).done((data) => {
                                const response = JSON.parse(data);
                                if (response["status"] === 0) {
                                    self.setTitle("Succès");
                                    self.setContent('Le stock a bien été mis à jour.');
                                    self.setType("green");
                                } else {
                                    self.setTitle("Erreur");
                                    self.setContent('Une erreur est survenue, merci de réessayer plus tard.<br/><br/>' + response["message"]);
                                    self.setType("red");
                                }
                            }).fail(() => {
                                self.setTitle("Erreur");
                                self.setContent('Une erreur est survenue, merci de réessayer plus tard.');
                                self.setType("red");
                            });
                        },
                        type: "orange",
                    })
                }
            },
            cancel: {
                text: 'Annuler',
            }
        }
    });
});

$('#errorButton').on('click', function () {
    $.confirm({
        title: 'Contacter le développeur',
        content: "Choisis le moyen de contact que tu souhaites :<br/>" +
            "<ul>" +
            "<li><strong>Mail: </strong><a href='mailto:vergnet@etud.insa-toulouse.fr'>vergnet@etud.insa-toulouse.fr</a></li>" +
            "<li><strong>Facebook: </strong><a href='https://www.facebook.com/arnaud.vergnet/' target='_blank'>Arnaud Vergnet</a></li>" +
            "</ul>"
    });
});